import {
  ContactConfig,
  ContactFieldGroups,
} from "@/server/routers/contentstack/contactConfig/output"

export function getValueFromContactConfig(
  keyString: string,
  data: ContactConfig
): string | undefined {
  const [groupName, key] = keyString.split(".") as [
    ContactFieldGroups,
    keyof ContactConfig[ContactFieldGroups],
  ]
  if (data[groupName]) {
    const fieldGroup = data[groupName]

    return fieldGroup[key]
  }
  return undefined
}
